<?
$IDArchiveHandler = 29878 /*your Archive Handler ID*/;
$days = 10; // 14;
for ($t = 0; $t <= $days; $t++) {
	$day = strtotime("today"."- ".$t." days");
	echo str_pad(date("d.m.Y H:i:s l",$day),35)
		." AC_GetLoggedValues        "
		." ".number_format(GetDelta($IDArchiveHandler, 10044, $day),1,",",".")
		." ".number_format(GetDelta($IDArchiveHandler, 10062,  $day),1,",",".")
		." ".number_format(GetDelta($IDArchiveHandler, 10048,  $day),1,",",".")
		." ".number_format(GetDelta($IDArchiveHandler, 36615, $day),1,",",".")
		. PHP_EOL;	
	echo str_pad(date("d.m.Y H:i:s l",$day),35)
		." AC_GetAggregatedValues "
		." ".number_format(GetUsage($IDArchiveHandler, 10044, $day),1,",",".")
		." ".number_format(GetUsage($IDArchiveHandler, 10062, $day),1,",",".")
		." ".number_format(GetUsage($IDArchiveHandler, 10048, $day),1,",",".")
		." ".number_format(GetUsage($IDArchiveHandler, 36615, $day),1,",",".")
		. PHP_EOL;	
}
exit;

function GetUsage($IDArchiveHandler,$varId,$day) {
	$t = AC_GetAggregatedValues($IDArchiveHandler, $varId, 1,$day,$day,0);
	if (sizeof($t) > 0)
		return $t[0]['Avg'];
	else
		return 0;
}


function GetDelta($IDArchiveHandler,$varId,$day,$days=1) {
		if ($day+86400 > strtotime("now"))
			return null; // current day
		$eV = AC_GetLoggedValues ($IDArchiveHandler, $varId, $day,$day+86400,1);
		if (count($eV)>0) {
			$eT = date("Y-m-d H:i:s",$eV[0]['TimeStamp']);
			$eD = $eV[0]['Value'];
			}
		else {
		   $eD = 0;
		   $eT = 0;
		   }
		$sV = AC_GetLoggedValues ($IDArchiveHandler, $varId, $day-86400,$day,1);
		if (count($sV)>0) {
			$sT = date("Y-m-d H:i:s",$sV[0]['TimeStamp']);
			$sD = $sV[0]['Value'];
			}
		else {
		   $sD = 0;
		   $sT = 0;
		   }
		echo str_pad(IPS_GetName(IPS_GetParent($varId)),25)." ".$eT." - ".$sT." (".sprintf("%7.1f",$eD)." - ".sprintf("%7.1f",$sD).") = ".sprintf("%7.1f",$eD-$sD)."\n";
		return ($eD-$sD);
}
?>